### Function

# Gtk.CustomMeasureFunc

#### Declaration

    void
    CustomMeasureFunc (
      GtkWidget* widget,
      GtkOrientation orientation,
      int for_size,
      int* minimum,
      int* natural,
      int* minimum_baseline,
      int* natural_baseline
    )

#### Description [src]

A function to be used by `GtkCustomLayout` to measure a widget.

#### Parameters

`widget` | `GtkWidget`
| the widget to be measured
| Ownership is not transferred to the callee
`orientation` | `GtkOrientation`
| the direction to be measured
`for_size` | `int`
| the size to be measured for
`minimum` | `int*`
| the measured minimum size of the widget
| Direction: out
| Ownership of the data is transferred to the callee
`natural` | `int*`
| the measured natural size of the widget
| Direction: out
| Ownership of the data is transferred to the callee
`minimum_baseline` | `int*`
| the measured minimum baseline of the widget
| Direction: out
| Ownership of the data is transferred to the callee
`natural_baseline` | `int*`
| the measured natural baseline of the widget
| Direction: out
| Ownership of the data is transferred to the callee